#
# Cookbook:: aerospike
# Recipe:: service
#

# make sure the unit override file is not empty
# otherwise it is impossible to enable the service
file '/etc/systemd/system/aerospike.service.d/aerospike.conf' do
  only_if { ::File.zero? '/etc/systemd/system/aerospike.service.d/aerospike.conf' }
  action :delete
end

service 'aerospike' do
  subscribes :restart, 'package[aerospike-server]'
  subscribes :restart, 'template[aerospike-conf]'
  action     %i[enable start]
end
